## org.eclipse.amp.amf.sd
Interface SdStockVariable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SdAbstractVariable, SdGeneratable, SdNamedElement

All Known Implementing Classes:
  SdStockVariableImpl

    public interface SdStockVariable

extends SdAbstractVariable

A representation of the model object 'Stock Variable'.

The following features are supported:

- `Integral`
- `Initial Value`

See Also:
  `SdPackage.getSdStockVariable()`

Method Summary
`java.lang.String` `getInitialValue()` Returns the value of the 'Initial Value' attribute.
`java.lang.String` `getIntegral()` Returns the value of the 'Integral' attribute.
`void` `setInitialValue(java.lang.String value)` Sets the value of the '`Initial Value`' attribute.
`void` `setIntegral(java.lang.String value)` Sets the value of the '`Integral`' attribute.

Methods inherited from interface org.eclipse.amp.amf.sd.SdAbstractVariable
`getParent, getToElement, setParent`

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIntegral

    java.lang.String getIntegral()

  Returns the value of the 'Integral' attribute. The default value is `"return 0;"`.

  If the meaning of the 'Integral' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Integral' attribute.
  See Also:
    `setIntegral(String)`, `SdPackage.getSdStockVariable_Integral()`

### setIntegral

    void setIntegral(java.lang.String value)

  Sets the value of the '`Integral`' attribute.

  Parameters:
    `value` - the new value of the 'Integral' attribute.
  See Also:
    `getIntegral()`

### getInitialValue

    java.lang.String getInitialValue()

  Returns the value of the 'Initial Value' attribute. The default value is `"return 0;"`.

  If the meaning of the 'Initial Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Initial Value' attribute.
  See Also:
    `setInitialValue(String)`, `SdPackage.getSdStockVariable_InitialValue()`

### setInitialValue

    void setInitialValue(java.lang.String value)

  Sets the value of the '`Initial Value`' attribute.

  Parameters:
    `value` - the new value of the 'Initial Value' attribute.
  See Also:
    `getInitialValue()`